Package org.eclipse.emf.compare.match.resource

# Interface IResourceMatchingStrategy

All Known Implementing Classes:
  `LocationMatchingStrategy`, `NameMatchingStrategy`, `NameSimilarityMatchingStrategy`, `RootIDMatchingStrategy`

public interface IResourceMatchingStrategy
A `StrategyResourceMatcher` will be used to match two or three `Resource`s together; depending on whether we are doing a two or three way comparison.

## Method Summary

Modifier and Type
Method
Description
`List<MatchResource>`
`matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)`
This will be called by the resource matcher in order to determine the matching between n resources.

## Method Details

### matchResources

List<MatchResource> matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)
This will be called by the resource matcher in order to determine the matching between n resources.

Parameters:
  `left` - Resources we are to match in the left.
  `right` - Resources we are to match in the right.
  `origin` - Resources we are to match in the origin.
Returns:
  The list of mappings this strategy managed to determine.